=== debian/changelog ===
fairymax (4.8q-2) unstable; urgency=low

  * Upload to unstable
  * Switch to debhelper 8

 -- Vincent Legout <vincent@legout.info>  Sun, 13 Mar 2011 20:13:54 +0100

fairymax (4.8q-1) experimental; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format
  * Bump to Standards-Version 3.9.1
  * Use debian/clean instead of override_dh_auto_clean to remove fmax.man
  * Update get-orig-source target

 -- Vincent Legout <vincent@legout.info>  Sat, 11 Dec 2010 12:10:42 +0100

fairymax (4.8o-1) unstable; urgency=low

  * New upstream version:
    - Remove patches, they have been merged upstream. Remove quilt dependency
  * debian/rules:
    - Update get-orig-source target
    - Remove override_dh_auto_configure, no longer needed
    - Update clean target
  * debian/fairymax.manpages: Removed
  * debian/README.source: Removed

 -- Vincent Legout <vincent@legout.info>  Sat, 23 Jan 2010 12:53:43 +0800

fairymax (4.8m-1) unstable; urgency=low

  * New upstream version (Closes: #544874)
    - Update 01_fix_ini_files_default_location patch
    - Add 02_Makefile patch
  * debian/control:
    - Bump to Standards-Version 3.8.3
    - Build-Depend on debhelper >= 7.0.50~ to support override targets
    - Update Homepage
  * debian/fairymax.install: Dropped
  * debian/fairymax.docs: Updated
  * debian/fairymax.manpages: Updated
  * debian/fairymax.6: Dropped, integrated upstream
  * debian/rules: Updated
  * debian/fairymax.dirs: Added
  * debian/README.source: Added
  * debian/copyright: Update Source field
  * debian/watch: Added

 -- Vincent Legout <vincent@legout.info>  Tue, 29 Sep 2009 13:17:55 +0800

fairymax (4.8j-1) unstable; urgency=low

  * Initial release (Closes: #537713)
  * Removed unused windows binaries from tarball

 -- Vincent Legout <vincent@legout.info>  Wed, 22 Jul 2009 11:31:28 +0200
