=== debian/control ===
Source: fairymax
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vincent@legout.info>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://home.hccnet.nl/h.g.muller/CVfairy.html
Vcs-Git: git://git.debian.org/git/pkg-games/fairymax.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/fairymax.git

Package: fairymax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xboard compatible chess and chess-variant engine
 Fairymax is a program that plays chess and chess variants. It uses the
 xboard/winboard chess-engine protocol to communicate. Apart from 'regular'
 chess (also known as the Mad-Queen variant), it can play Capablanca chess,
 gothic chess, knightmate, cylinder chess, berolina chess, superchess and
 courier chess.
