=== debian/watch ===
# As the download link doesn't contain the version number, there isn't
# a way to write a meaningful watch file.
#
# To check the current upstream release, go to the package home page
# and check the version number in the tarball.
