=== debian/changelog ===
fairymax (4.8v-1) unstable; urgency=medium

  * New upstream version
    - Refresh debian/patches/fix-return.patch
    - Remove debian/patches/Makefile.patch, merged upstream
    - Update get-orig-source target in debian/rules
  * debian/copyright: Add short name for fairymax license
  * Standards-Version 3.9.6

 -- Vincent Legout <vlegout@debian.org>  Sat, 25 Oct 2014 09:21:15 -0400

fairymax (4.8t-1) unstable; urgency=medium

  * New upstream version (Closes: #760816)
  * Use my debian.org email address
  * Update VCS fields, use anonscm.debian.org
  * Update get-orig-source target: Update version number and use underscore
    instead of dash to create the tarball
  * debian/copyright: Use copyright-format 1.0
  * Add a debian/watch file, thanks to Yann Dirson
  * Switch to debhelper 9
  * Add debian/patch/Makefile.patch
  * Set Standards-Version to 3.9.5
  * debian/docs: Add CVfairy.html
  * Add debian/patches/fix-return.patch: Fix FTBFS with clang
    (Closes: #743008)

 -- Vincent Legout <vlegout@debian.org>  Thu, 11 Sep 2014 17:17:39 -0400
