=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vincent@legout.info>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Uploaders: Vincent Legout <vlegout@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: http://home.hccnet.nl/h.g.muller/CVfairy.html
-Vcs-Git: git://git.debian.org/git/pkg-games/fairymax.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/fairymax.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/fairymax.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/fairymax.git
 
 Package: fairymax
 Architecture: any
