=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

major := 4.8
minor := v
minor_cap := $(shell echo $(minor) | tr a-z A-Z)

get-orig-source:
	wget "http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/$(major)$(minor_cap);sf=tgz" -O fairymax.tar.gz
	tar zxvf fairymax.tar.gz
	mv fairymax-$(major)$(minor_cap) fairymax-$(major)$(minor)
	tar czf fairymax_$(major)$(minor).orig.tar.gz fairymax-$(major)$(minor)
	rm -rf fairymax-$(major)$(minor) fairymax.tar.gz
