=== debian/changelog ===
fairymax (5.0b-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * d/watch: version=4
  * Fix build with gcc-14
    Closes: #1074943

  [ holger@hoicher.de ]
  * Fix hanging on platforms with unsigned char
    Closes: #824910

 -- Andreas Tille <tille@debian.org>  Mon, 14 Oct 2024 14:31:03 +0200

fairymax (5.0b-1) unstable; urgency=medium

  * New upstream version
    - Update get-orig-source target in debian/rules
  * Add debian/patch/makefile.patch to fix install directories
  * debian/control:
    - fix Vcs fields
    - Standards-Version 3.9.8
  * debian/rules: build with hardening flags

 -- Vincent Legout <vlegout@debian.org>  Fri, 11 Nov 2016 09:00:11 +0100
