=== debian/control ===
Source: fairymax
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vlegout@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/fairymax
Vcs-Git: https://salsa.debian.org/games-team/fairymax.git
Homepage: https://home.hccnet.nl/h.g.muller/CVfairy.html
Rules-Requires-Root: no

Package: fairymax
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: xboard compatible chess and chess-variant engine
 Fairymax is a program that plays chess and chess variants. It uses the
 xboard/winboard chess-engine protocol to communicate. Apart from 'regular'
 chess (also known as the Mad-Queen variant), it can play Capablanca chess,
 gothic chess, knightmate, cylinder chess, berolina chess, superchess and
 courier chess.
