=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

major := 5.0
minor := b

get-orig-source:
	wget "http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/$(major)$(minor);sf=tgz" -O fairymax_$(major)$(minor).orig.tar.gz
