=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/\L$1/ \
http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=tags \
 /cgi-bin/gitweb.cgi\?p=fairymax.git;a=shortlog;h=refs/tags/(.+)
